# Satisfactory Plus Calculator

Tool for helping with factory planning.


## Installation

Tested are Python 3.11, Firefox 122, SQLite 3.45.1, PySide2 5.15.11 and Qt 5.15.11. The later two are necessary for the visualisation. Install all Python requirements by using

```sh
pipenv --site-packages sync
```

### Caveats

Only the most recent version of pyside2 is compatible with Python 3.11. Unfortunately the version cannot be found on the Python Package Index and may have to be installed manually and allowing system site-packages in the pipenv.
For this, run the following before any virtual environment exists (or remove the existing virtual environment using `pipenv --rm`):

```sh
pipenv --site-packages sync
```


## Fetch Recipes

Using pipenv, run e.g.

```sh
pipenv run fetch 'Molten Iron'
```


## Visualisation

Thanks to [NodeGraphQt](https://github.com/jchanvfx/NodeGraphQt) a graph base visualisation is available, which looks like the following:

![Graph Visualisation Example](vis.png)

The visualisation window can be opened with e.g.

```sh
pipenv run vis 'Plastic'
```
